inst-bpm - Task #9385
Milestone # 9017 (Accepted): State Machine subsystem

State Machine subsystem test
07/07/2015 02:15 PM - John Diamond

Status: New Start date: 07/17/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 20%
Category: bpmd Estimated time: 0.00 hour
Target version: Spent time: 5.00 hours
Description

Test the state machine with the following command list:

Index Event Command Parameter List
0 Immediate TB_SEND
1 0.010s ARM measurement = RAW
samples = 65535
trigger = immediate
2 TCLK $1F READOUT source = RAW
3 TCLK $1F IDLE
Subtasks:
Task # 9658: Instrument bpmd control commands and display their execution time in syslog New
History
#1 - 07/07/2015 02:34 PM - John Diamond
The first test should prove that we can acquire and readout a channel at 15Hz.
The next test we will try to use the array plotter to plot 8192 raw samples at 15Hz.
#2 - 07/07/2015 02:36 PM - John Diamond
We should instrument the length of the IDLE state to find out how much time we spend between booster cycles.
#3 - 07/07/2015 02:37 PM - John Diamond
- Estimated time set to 8.00 h
- Parent task set to #9017
#4 - 07/09/2015 10:54 AM - John Diamond
- Category set to bpomd
- Assignee set to John Diamond
No transition board hardware yet so the TB_SEND command is just a placeholder for now.
#5 - 07/16/2015 09:09 PM - John Diamond
- % Done changed from 0 to 70
This week we verified that the state machine works for command lists that do not include timers. See #9610 and #9383.
#6 - 07/16/2015 09:10 PM - John Diamond
We should run this test with the ARM command triggered immediately and at 15Hz.
